#### Previous topic

scipy.special.sph_jn

#### Next topic

scipy.special.sph_jnyn

# scipy.special.sph_yn

`scipy.special.``sph_yn`(n, z)

  Compute spherical Bessel function yn(z) and derivative.

  This function computes the value and first derivative of yn(z) for all orders up to and including n.

  Parameters:

  n : int

  > Maximum order of yn to compute

  z : complex

  > Argument at which to evaluate

  Returns:

  yn : ndarray

  > Value of y0(z), ..., yn(z)

  ynp : ndarray

  > First derivative y0’(z), ..., yn’(z)

  References

  [R357] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996, chapter 8. http://jin.ece.illinois.edu/specfunc.html